--- applets/devicenotifier/package/contents/ui/DeviceItem-old.qml	2021-03-02 14:13:10.000000000 +0100
+++ applets/devicenotifier/package/contents/ui/DeviceItem.qml	2021-03-03 07:45:00.391946818 +0100
@@ -120,14 +120,14 @@
         var service
         var operationName
         var operation
-        var wasMounted = isMounted;
-        if (!sdSource.data[udi].Removable || !isMounted) {
+        if (!sdSource.data[udi].Removable) {
             service = hpSource.serviceForSource(udi);
             operation = service.operationDescription('invokeAction');
             operation.predicate = "test-predicate-openinwindow.desktop";
         } else {
+            var wasMounted = isMounted;
             service = sdSource.serviceForSource(udi);
-            operation = service.operationDescription("unmount");
+            operation = service.operationDescription(wasMounted ? "unmount" : "mount");
         }
         service.startOperationCall(operation);
         if (wasMounted) {
@@ -136,9 +136,7 @@
     }
 
 
-    // When there's no better icon available, show a placeholder icon instead
-    // of nothing
-    icon: sdSource.data[udi] == undefined ? "device-notifier" : sdSource.data[udi].Icon
+    icon: sdSource.data[udi] == undefined ? "" : sdSource.data[udi].Icon
 
     iconEmblem: {
         if (sdSource.data[udi] != undefined) {
@@ -197,7 +195,7 @@
             if (!sdSource.data[udi].Removable) {
                 return "document-open-folder"
             } else {
-                return isMounted ? "media-eject" : "document-open-folder"
+                return isMounted ? "media-eject" : "media-mount"
             }
         }
         text: {
@@ -206,7 +204,7 @@
             } else {
                 var types = model["Device Types"];
                 if (!isMounted) {
-                    return i18n("Mount and Open")
+                    return i18n("Mount")
                 } else if (types && types.indexOf("OpticalDisc") !== -1) {
                     return i18n("Eject")
                 } else {
@@ -226,15 +224,6 @@
         delegate: QQC2.Action {
             text: modelData.text
             icon.name: modelData.icon
-            // We only want to show the "Show in file manager" action for
-            // mounted removable disks (for everything else, this action is
-            // already the primary one shown on the list item)
-            enabled: {
-                if (modelData.predicate != "test-predicate-openinwindow.desktop") {
-                    return true;
-                }
-                return sdSource.data[udi].Removable && deviceItem.isMounted;
-            }
             onTriggered: {
                 var service = hpSource.serviceForSource(udi);
                 var operation = service.operationDescription('invokeAction');
@@ -245,25 +234,4 @@
         }
         onObjectAdded: contextualActionsModel.push(object)
     }
-
-    // "Mount" action that does not open it in the file manager
-    QQC2.Action {
-        id: mountWithoutOpeningAction
-
-        text: i18n("Mount")
-        icon.name: "media-mount"
-
-        // Only show for unmounted removable devices
-        enabled: sdSource.data[udi].Removable && !deviceItem.isMounted
-
-        onTriggered: {
-            var service = sdSource.serviceForSource(udi);
-            var operation = service.operationDescription("mount");
-            service.startOperationCall(operation);
-        }
-    }
-
-    Component.onCompleted: {
-        contextualActionsModel.push(mountWithoutOpeningAction);
-    }
 }
